#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1483\r"; sleep 2;
echo -e "write (0,1) -1544\r"; sleep 2;
echo -e "write (0,2) -1439\r"; sleep 2;
echo -e "write (0,3) -1423\r"; sleep 2;
echo -e "write (0,4) -1569\r"; sleep 2;
echo -e "write (0,5) -1574\r"; sleep 2;
echo -e "write (0,6) -1299\r"; sleep 2;
echo -e "write (0,9) -1400\r"; sleep 2;
echo -e "write (0,10) -1265\r"; sleep 2;
echo -e "write (0,11) -1418\r"; sleep 2;
echo -e "write (0,12) -1403\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1591\r"; sleep 2;
echo -e "write (1,0) -1510\r"; sleep 2;
echo -e "write (1,1) -1267\r"; sleep 2;
echo -e "write (1,2) -1374\r"; sleep 2;
echo -e "write (1,3) -1517\r"; sleep 2;
echo -e "write (1,4) -1321\r"; sleep 2;
echo -e "write (1,5) -1390\r"; sleep 2;
echo -e "write (1,6) -1269\r"; sleep 2;
echo -e "write (1,9) -1610\r"; sleep 2;
echo -e "write (1,10) -1479\r"; sleep 2;
echo -e "write (1,11) -1665\r"; sleep 2;
echo -e "write (1,12) -1625\r"; sleep 2;
echo -e "write (1,13) -1474\r"; sleep 2;
echo -e "write (1,14) -1659\r"; sleep 2;
echo -e "write (2,0) -1576\r"; sleep 2;
echo -e "write (2,1) -1568\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1636\r"; sleep 2;
echo -e "write (2,4) -1293\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1459\r"; sleep 2;
echo -e "write (2,9) -1246\r"; sleep 2;
echo -e "write (2,10) -1469\r"; sleep 2;
echo -e "write (2,11) -1280\r"; sleep 2;
echo -e "write (2,12) -1520\r"; sleep 2;
echo -e "write (2,13) -1628\r"; sleep 2;
echo -e "write (2,14) -1415\r"; sleep 2;
echo -e "write (3,0) -1426\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1452\r"; sleep 2;
echo -e "write (3,3) -1586\r"; sleep 2;
echo -e "write (3,4) -1463\r"; sleep 2;
echo -e "write (3,5) -1386\r"; sleep 2;
echo -e "write (3,6) -1669\r"; sleep 2;
echo -e "write (3,9) -1569\r"; sleep 2;
echo -e "write (3,10) -1513\r"; sleep 2;
echo -e "write (3,11) -1586\r"; sleep 2;
echo -e "write (3,12) -1539\r"; sleep 2;
echo -e "write (3,13) -1462\r"; sleep 2;
echo -e "write (3,14) -1516\r"; sleep 2;
echo -e "write (4,0) -1460\r"; sleep 2;
echo -e "write (4,1) -1536\r"; sleep 2;
echo -e "write (4,2) -1625\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1428\r"; sleep 2;
echo -e "write (4,5) -1406\r"; sleep 2;
echo -e "write (4,6) -1458\r"; sleep 2;
echo -e "write (4,9) -1432\r"; sleep 2;
echo -e "write (4,10) -1558\r"; sleep 2;
echo -e "write (4,11) -1568\r"; sleep 2;
echo -e "write (4,12) -1643\r"; sleep 2;
echo -e "write (4,13) -1500\r"; sleep 2;
echo -e "write (4,14) -1620\r"; sleep 2;
echo -e "write (5,0) -1533\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1630\r"; sleep 2;
echo -e "write (5,3) -1425\r"; sleep 2;
echo -e "write (5,4) -1616\r"; sleep 2;
echo -e "write (5,5) -1638\r"; sleep 2;
echo -e "write (5,6) -1285\r"; sleep 2;
echo -e "write (5,9) -1651\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1695\r"; sleep 2;
echo -e "write (5,12) -1215\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1593\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1332\r"; sleep 2;
echo -e "write (6,2) -1160\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1250\r"; sleep 2;
echo -e "write (6,5) -1385\r"; sleep 2;
echo -e "write (6,6) -1204\r"; sleep 2;
echo -e "write (6,9) -1556\r"; sleep 2;
echo -e "write (6,10) -1267\r"; sleep 2;
echo -e "write (6,11) -1476\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1475\r"; sleep 2;
echo -e "write (6,14) -1385\r"; sleep 2;
echo -e "write (8,0) -1403\r"; sleep 2;
echo -e "write (8,1) -1400\r"; sleep 2;
echo -e "write (8,2) -1303\r"; sleep 2;
echo -e "write (8,3) -1249\r"; sleep 2;
echo -e "write (8,4) -1388\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1439\r"; sleep 2;
echo -e "write (8,9) -1302\r"; sleep 2;
echo -e "write (8,10) -1516\r"; sleep 2;
echo -e "write (8,11) -1454\r"; sleep 2;
echo -e "write (8,12) -1412\r"; sleep 2;
echo -e "write (8,13) -1669\r"; sleep 2;
echo -e "write (8,14) -1387\r"; sleep 2;
echo -e "write (9,0) -1652\r"; sleep 2;
echo -e "write (9,1) -1559\r"; sleep 2;
echo -e "write (9,2) -1655\r"; sleep 2;
echo -e "write (9,3) -1506\r"; sleep 2;
echo -e "write (9,4) -1483\r"; sleep 2;
echo -e "write (9,5) -1433\r"; sleep 2;
echo -e "write (9,6) -1491\r"; sleep 2;
echo -e "write (9,9) -1578\r"; sleep 2;
echo -e "write (9,10) -1596\r"; sleep 2;
echo -e "write (9,11) -1568\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1511\r"; sleep 2;
echo -e "write (9,14) -1460\r"; sleep 2;
echo -e "write (10,0) -1688\r"; sleep 2;
echo -e "write (10,1) -1406\r"; sleep 2;
echo -e "write (10,2) -1499\r"; sleep 2;
echo -e "write (10,3) -1697\r"; sleep 2;
echo -e "write (10,4) -1596\r"; sleep 2;
echo -e "write (10,5) -1308\r"; sleep 2;
echo -e "write (10,6) -1430\r"; sleep 2;
echo -e "write (10,9) -1458\r"; sleep 2;
echo -e "write (10,10) -1525\r"; sleep 2;
echo -e "write (10,11) -1468\r"; sleep 2;
echo -e "write (10,12) -1510\r"; sleep 2;
echo -e "write (10,13) -1448\r"; sleep 2;
echo -e "write (10,14) -1469\r"; sleep 2;
echo -e "write (11,0) -1688\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1344\r"; sleep 2;
echo -e "write (11,3) -1592\r"; sleep 2;
echo -e "write (11,4) -1473\r"; sleep 2;
echo -e "write (11,5) -1513\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1453\r"; sleep 2;
echo -e "write (11,11) -1457\r"; sleep 2;
echo -e "write (11,12) -1352\r"; sleep 2;
echo -e "write (11,13) -1273\r"; sleep 2;
echo -e "write (11,14) -1674\r"; sleep 2;
echo -e "write (12,0) -1642\r"; sleep 2;
echo -e "write (12,1) -1428\r"; sleep 2;
echo -e "write (12,2) -1426\r"; sleep 2;
echo -e "write (12,3) -1608\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1330\r"; sleep 2;
echo -e "write (12,7) -1430\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1479\r"; sleep 2;
echo -e "write (12,12) -1378\r"; sleep 2;
echo -e "write (12,13) -1597\r"; sleep 2;
echo -e "write (12,14) -1678\r"; sleep 2;
echo -e "write (13,0) -1421\r"; sleep 2;
echo -e "write (13,1) -1534\r"; sleep 2;
echo -e "write (13,2) -1454\r"; sleep 2;
echo -e "write (13,3) -1319\r"; sleep 2;
echo -e "write (13,4) -1487\r"; sleep 2;
echo -e "write (13,5) -1391\r"; sleep 2;
echo -e "write (13,6) -1494\r"; sleep 2;
echo -e "write (13,9) -1656\r"; sleep 2;
echo -e "write (13,10) -1563\r"; sleep 2;
echo -e "write (13,11) -1405\r"; sleep 2;
echo -e "write (13,12) -1514\r"; sleep 2;
echo -e "write (13,13) -1257\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1542\r"; sleep 2;
echo -e "write (14,2) -1421\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1588\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1527\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1660\r"; sleep 2;
echo -e "write (14,12) -1393\r"; sleep 2;
echo -e "write (14,13) -1476\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1511\r"; sleep 2;
echo -e "write (15,1) -1421\r"; sleep 2;
echo -e "write (15,2) -1365\r"; sleep 2;
echo -e "write (15,3) -1579\r"; sleep 2;
echo -e "write (15,4) -1408\r"; sleep 2;
echo -e "write (15,5) -1433\r"; sleep 2;
echo -e "write (15,6) -1390\r"; sleep 2;
echo -e "write (15,7) -1481\r"; sleep 2;
echo -e "write (15,8) -1485\r"; sleep 2;
echo -e "write (15,9) -1376\r"; sleep 2;
echo -e "write (15,10) -1357\r"; sleep 2;
echo -e "write (15,11) -1398\r"; sleep 2;
echo -e "write (15,12) -1369\r"; sleep 2;
echo -e "write (15,13) -1556\r"; sleep 2;
echo -e "write (15,14) -1287\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
